Get a list of variant inventory positions - Fabric

Get a list of variant inventory positions

cURL

curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/inventory/ \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/inventory/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/inventory/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/inventory/",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/inventory/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

HTTP Response Example

{
  "count": 805,
  "results": [
    {
      "inventory_updated_at": "2021-09-10T15:24:56Z",
      "inventory_last_submitted_at": "2022-09-10T15:24:56Z",
      "brand_inventory_updated_at": "2022-09-10T15:24:56Z",
      "sellable_updated_at": "2022-09-10T15:24:56Z",
      "estimated_availability_date": null,
      "variant": {
        "id": 100024,
        "name": "T-Shirt, Blue, L",
        "brand": {
          "code": "demo-brand",
          "id": 500,
          "name": "Marla Cielo",
          "joined_at": "2022-09-10T15:24:56Z",
          "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
          "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
          "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
          "website": null,
          "is_onboarded": false,
          "is_on_rcn": false,
          "requires_subscription": "enabled",
          "subscription_expires_at": "2024-09-19T13:32:10Z",
          "grace_period_ends_at": "2024-10-26T13:32:10Z",
          "subscription_is_expired": false,
          "subscription_is_on_grace_period": false,
          "subscription_is_delinquent": false,
          "inventory_policy": "managed",
          "status": "active"
        },
        "brand_identifier": "1000-BL-L",
        "identifier": "5000001",
        "upc": 9119119111,
        "cartons": [
          {
            "id": 48,
            "number": 1,
            "length": "1",
            "length_unit": "1",
            "width": "1",
            "width_unit": "meter",
            "height": "1",
            "height_unit": "meter",
            "weight": "15",
            "weight_unit": "KG",
            "package_girth_inches": "1",
            "package_size_inches": "1"
          }
        ],
        "color": "Red",
        "style": "Print",
        "size": "Large",
        "media": [
          {
            "id": 249,
            "width": 100,
            "height": 100,
            "media": "default",
            "priority": 1,
            "url": "192.168.99.100/media/default/original",
            "updated_at": "2022-09-10T15:24:56Z",
            "created_at": "2022-08-10T15:24:56Z"
          }
        ],
        "attributes": [
          {
            "code": "size",
            "name": "Size",
            "type": "money",
            "id": 44,
            "editable_by": "brand",
            "grouping": "general",
            "description": "demo product description",
            "units": "USD",
            "values": {
              "id": 123,
              "value": "<string>",
              "unit": {
                "id": 677,
                "name": "Sample unit",
                "standard_unit": "<string>",
                "type": "cost",
                "system": "metric",
                "symbol": "USD"
              },
              "retailer": {
                "name": "Demo Retailer",
                "code": "demo-retailer",
                "id": 500,
                "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
                "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
                "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
                "joined_at": "2021-08-03T17:24:12Z",
                "is_rcn_retailer": false,
                "is_onboarded": false,
                "platform": "fabric",
                "requires_subscription": "disabled",
                "brand_permit_creation_allowed": false,
                "website": "https://demoabc.com",
                "status": "active"
              },
              "updated_at": "2023-11-07T05:31:56Z",
              "created_at": "2023-11-07T05:31:56Z"
            }
          }
        ],
        "ruleset_variants": [
          {
            "id": 1232,
            "status": "processing",
            "ruleset": "<unknown>",
            "results": "<string>",
            "created_at": "2022-08-10T15:24:56Z",
            "updated_at": "2022-09-10T15:24:56Z"
          }
        ],
        "ruleset_variant_summary": "21",
        "active_permit": {
          "id": 10104,
          "retailer": {
            "name": "Demo Retailer",
            "code": "demo-retailer",
            "id": 500,
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
            "joined_at": "2021-08-03T17:24:12Z",
            "is_rcn_retailer": false,
            "is_onboarded": false,
            "platform": "fabric",
            "requires_subscription": "disabled",
            "brand_permit_creation_allowed": false,
            "website": "https://demoabc.com",
            "status": "active"
          },
          "retailer_price": "12.99",
          "retailer_cost": "8.99",
          "pricing": {},
          "attributes": {},
          "start_at": "2021-09-10T15:24:56Z",
          "end_at": "2024-09-10T15:24:56Z",
          "is_in_effect": true,
          "revoked_at": "2022-09-10T15:24:56Z",
          "is_acknowledged": true,
          "acknowledged_at": "2022-09-10T15:24:56Z"
        },
        "permits": [
          {
            "id": 10104,
            "retailer": {
              "name": "Demo Retailer",
              "code": "demo-retailer",
              "id": 500,
              "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
              "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
              "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
              "joined_at": "2021-08-03T17:24:12Z",
              "is_rcn_retailer": false,
              "is_onboarded": false,
              "platform": "fabric",
              "requires_subscription": "disabled",
              "brand_permit_creation_allowed": false,
              "website": "https://demoabc.com",
              "status": "active"
            },
            "retailer_price": "12.99",
            "retailer_cost": "8.99",
            "pricing": {},
            "attributes": {},
            "start_at": "2021-09-10T15:24:56Z",
            "end_at": "2024-09-10T15:24:56Z",
            "is_in_effect": true,
            "revoked_at": "2022-09-10T15:24:56Z",
            "is_acknowledged": true,
            "acknowledged_at": "2022-09-10T15:24:56Z"
          }
        ],
        "is_compatible": true,
        "proposal_variant": {
          "id": 3456,
          "pricing": "12.00",
          "attributes": [
            {
              "id": 123,
              "value": "<string>",
              "unit": {
                "id": 677,
                "name": "Sample unit",
                "standard_unit": "<string>",
                "type": "cost",
                "system": "metric",
                "symbol": "USD"
              },
              "retailer": {
                "name": "Demo Retailer",
                "code": "demo-retailer",
                "id": 500,
                "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
                "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
                "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
                "joined_at": "2021-08-03T17:24:12Z",
                "is_rcn_retailer": false,
                "is_onboarded": false,
                "platform": "fabric",
                "requires_subscription": "disabled",
                "brand_permit_creation_allowed": false,
                "website": "https://demoabc.com",
                "status": "active"
              },
              "updated_at": "2023-11-07T05:31:56Z",
              "created_at": "2023-11-07T05:31:56Z"
            }
          ],
          "memos": [
            {
              "id": 1234,
              "text": "Immediate requirement",
              "visibility": "any",
              "acknowledged_at": "2022-01-10T15:24:56Z",
              "notify_people": true,
              "created_by": {
                "id": 542,
                "first_name": "Sample",
                "last_name": "Demo",
                "title": "Demo",
                "status": "Active",
                "type": "standard",
                "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                "is_me": true
              },
              "created_by_context": "retailer",
              "created_at": "2021-09-10T15:24:56Z",
              "updated_at": "2022-09-10T15:24:56Z"
            }
          ],
          "issues": [
            {
              "id": 123,
              "memos": [
                {
                  "id": 1234,
                  "text": "Immediate requirement",
                  "visibility": "any",
                  "acknowledged_at": "2022-01-10T15:24:56Z",
                  "notify_people": true,
                  "created_by": {
                    "id": 542,
                    "first_name": "Sample",
                    "last_name": "Demo",
                    "title": "Demo",
                    "status": "Active",
                    "type": "standard",
                    "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                    "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                    "is_me": true
                  },
                  "created_by_context": "retailer",
                  "created_at": "2021-09-10T15:24:56Z",
                  "updated_at": "2022-09-10T15:24:56Z"
                }
              ],
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z",
              "resolved_at": "2023-11-07T05:31:56Z",
              "is_resolved": "<string>",
              "issue_id": 123,
              "message": "<string>",
              "title": "<string>"
            }
          ],
          "variant_id": 249,
          "approved_at": "2022-10-10T15:24:56Z",
          "created_at": "2022-07-10T15:24:56Z",
          "updated_at": "2022-09-10T15:24:56Z",
          "rejected_at": null,
          "reject_reason": "Incomplete",
          "reject": true,
          "approve": false,
          "delete": false
        },
        "retailer_identifiers": {
          "id": 5642,
          "retailer": {
            "name": "Demo Retailer",
            "code": "demo-retailer",
            "id": 500,
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
            "joined_at": "2021-08-03T17:24:12Z",
            "is_rcn_retailer": false,
            "is_onboarded": false,
            "platform": "fabric",
            "requires_subscription": "disabled",
            "brand_permit_creation_allowed": false,
            "website": "https://demoabc.com",
            "status": "active"
          },
          "identifier": "SKU976",
          "name": "Retailer Sample"
        },
        "retailer_categories": {
          "category": "CategoryANC",
          "id": 453,
          "retailer": {
            "name": "Demo Retailer",
            "code": "demo-retailer",
            "id": 500,
            "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
            "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
            "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
            "joined_at": "2021-08-03T17:24:12Z",
            "is_rcn_retailer": false,
            "is_onboarded": false,
            "platform": "fabric",
            "requires_subscription": "disabled",
            "brand_permit_creation_allowed": false,
            "website": "https://demoabc.com",
            "status": "active"
          }
        },
        "inventory": {
          "inventory_updated_at": "2022-09-10T15:24:56Z",
          "inventory_last_submitted_at": "2022-09-10T15:24:56Z",
          "brand_inventory_updated_at": "2022-09-10T15:24:56Z",
          "sellable_updated_at": "2022-11-10T15:24:56Z",
          "estimated_availability_date": "2022-09-10T15:24:56Z",
          "discontinued": true,
          "discontinued_updated_at": null,
          "inventory": 0,
          "sellable": "No",
          "replenishable": true,
          "locations": [
            {
              "id": 1,
              "address": {
                "name1": "Demo Brand, Inc",
                "street1": "1332 Hermosa Ave",
                "city": "Hermosa Beach",
                "province": "CA",
                "postal_code": "90254",
                "country": "US",
                "id": 10,
                "type": "residential",
                "name2": null,
                "street2": null,
                "phone1": "3105551212",
                "phone2": "3105551213",
                "fax": null,
                "email": null,
                "federal_tax_id": null
              },
              "inventory": 0,
              "nickname": "LA Warehouse"
            }
          ]
        }
      },
      "inventory_policy": "managed",
      "inventory": 0,
      "discontinued": false,
      "discontinued_updated_at": null,
      "replenishable": true,
      "sellable": "No",
      "locations": [
        {
          "id": 1,
          "address": {
            "name1": "Demo Brand, Inc",
            "street1": "1332 Hermosa Ave",
            "city": "Hermosa Beach",
            "province": "CA",
            "postal_code": "90254",
            "country": "US",
            "id": 10,
            "type": "residential",
            "name2": null,
            "street2": null,
            "phone1": "3105551212",
            "phone2": "3105551213",
            "fax": null,
            "email": null,
            "federal_tax_id": null
          },
          "inventory": 0,
          "nickname": "LA Warehouse"
        }
      ]
    }
  ],
  "next": "https://api.example.org/demo/{retailer_pk}/?page=5",
  "previous": "https://api.example.org/demo/{retailer_pk}/?page=3"
}